


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        var res=fetch("https://jsonplaceholder.typicode.com/users")
            // console.log(res)   
            //fetch always return the promise
            .then((response)=>response.json())
            .then(reslut=>console.log(reslut))
            .catch(error=>{console.log("this is an error.")})
    </script>
</body>
</html>

